Index A | B | C | D | E | F | G | H | I | J | K | L | M | N | P | R | S | T | U A accept_invitation() (calendaring_jmap.async_client.AsyncJMAPClient method) (calendaring_jmap.client.JMAPClient method) aclose() (calendaring_jmap.async_client.AsyncJMAPClient method) add_event() (calendaring_jmap.objects.calendar.JMAPCalendar method) address_book_ids (calendaring_jmap.objects.contact.JMAPContact attribute) AsyncJMAPClient (class in calendaring_jmap.async_client) attach_to_event() (calendaring_jmap.async_client.AsyncJMAPClient method) (calendaring_jmap.client.JMAPClient method) B blob_id (calendaring_jmap.objects.attachment.JMAPAttachment attribute) busy_status (calendaring_jmap.objects.busy_interval.BusyInterval attribute) BusyInterval (class in calendaring_jmap.objects.busy_interval) C calendaring_jmap.async_client module calendaring_jmap.client module calendaring_jmap.error module calendaring_jmap.objects.attachment module calendaring_jmap.objects.busy_interval module calendaring_jmap.objects.calendar module calendaring_jmap.objects.calendar_object module calendaring_jmap.objects.contact module close() (calendaring_jmap.client.JMAPClient method) color (calendaring_jmap.objects.calendar.JMAPCalendar attribute) confirm_push_verification() (calendaring_jmap.async_client.AsyncJMAPClient method) (calendaring_jmap.client.JMAPClient method) content_type (calendaring_jmap.objects.attachment.JMAPAttachment attribute) create_calendar() (calendaring_jmap.async_client.AsyncJMAPClient method) (calendaring_jmap.client.JMAPClient method) create_event() (calendaring_jmap.async_client.AsyncJMAPClient method) (calendaring_jmap.client.JMAPClient method) create_task() (calendaring_jmap.async_client.AsyncJMAPClient method) (calendaring_jmap.client.JMAPClient method) D data (calendaring_jmap.objects.calendar_object.JMAPCalendarObject attribute) decline_invitation() (calendaring_jmap.async_client.AsyncJMAPClient method) (calendaring_jmap.client.JMAPClient method) default_alerts_with_time (calendaring_jmap.objects.calendar.JMAPCalendar attribute) default_alerts_without_time (calendaring_jmap.objects.calendar.JMAPCalendar attribute) delete_calendar() (calendaring_jmap.async_client.AsyncJMAPClient method) (calendaring_jmap.client.JMAPClient method) delete_event() (calendaring_jmap.async_client.AsyncJMAPClient method) (calendaring_jmap.client.JMAPClient method) delete_task() (calendaring_jmap.async_client.AsyncJMAPClient method) (calendaring_jmap.client.JMAPClient method) description (calendaring_jmap.objects.calendar.JMAPCalendar attribute) (calendaring_jmap.objects.contact.JMAPAddressBook attribute) display_name() (calendaring_jmap.objects.contact.JMAPContact method) download_attachment() (calendaring_jmap.async_client.AsyncJMAPClient method) (calendaring_jmap.client.JMAPClient method) E edit_icalendar_instance() (calendaring_jmap.objects.calendar_object.JMAPCalendarObject method) emails (calendaring_jmap.objects.contact.JMAPContact attribute) end (calendaring_jmap.objects.busy_interval.BusyInterval attribute) error_type (calendaring_jmap.error.JMAPAuthError attribute) (calendaring_jmap.error.JMAPCapabilityError attribute) (calendaring_jmap.error.JMAPError attribute) (calendaring_jmap.error.JMAPMethodError attribute) event (calendaring_jmap.objects.busy_interval.BusyInterval attribute) F from_jmap() (calendaring_jmap.objects.attachment.JMAPAttachment class method) (calendaring_jmap.objects.busy_interval.BusyInterval class method) (calendaring_jmap.objects.calendar.JMAPCalendar class method) (calendaring_jmap.objects.contact.JMAPAddressBook class method) (calendaring_jmap.objects.contact.JMAPContact class method) G get_address_books() (calendaring_jmap.async_client.AsyncJMAPClient method) (calendaring_jmap.client.JMAPClient method) get_async_jmap_client() (in module calendaring_jmap) get_availability() (calendaring_jmap.async_client.AsyncJMAPClient method) (calendaring_jmap.client.JMAPClient method) get_calendar_subscriptions() (calendaring_jmap.async_client.AsyncJMAPClient method) (calendaring_jmap.client.JMAPClient method) get_calendars() (calendaring_jmap.async_client.AsyncJMAPClient method) (calendaring_jmap.client.JMAPClient method) get_data() (calendaring_jmap.objects.calendar_object.JMAPCalendarObject method) get_event() (calendaring_jmap.async_client.AsyncJMAPClient method) (calendaring_jmap.client.JMAPClient method) get_event_attachments() (calendaring_jmap.async_client.AsyncJMAPClient method) (calendaring_jmap.client.JMAPClient method) get_icalendar_instance() (calendaring_jmap.objects.calendar_object.JMAPCalendarObject method) get_jmap_client() (in module calendaring_jmap) get_object_by_uid() (calendaring_jmap.objects.calendar.JMAPCalendar method) get_objects_by_sync_token() (calendaring_jmap.async_client.AsyncJMAPClient method) (calendaring_jmap.client.JMAPClient method) get_sync_token() (calendaring_jmap.async_client.AsyncJMAPClient method) (calendaring_jmap.client.JMAPClient method) get_task() (calendaring_jmap.async_client.AsyncJMAPClient method) (calendaring_jmap.client.JMAPClient method) get_task_lists() (calendaring_jmap.async_client.AsyncJMAPClient method) (calendaring_jmap.client.JMAPClient method) H href (calendaring_jmap.objects.attachment.JMAPAttachment attribute) I id (calendaring_jmap.objects.calendar.JMAPCalendar attribute) (calendaring_jmap.objects.calendar_object.JMAPCalendarObject property) (calendaring_jmap.objects.contact.JMAPAddressBook attribute) (calendaring_jmap.objects.contact.JMAPContact attribute) is_attachment() (calendaring_jmap.objects.attachment.JMAPAttachment static method) is_default (calendaring_jmap.objects.contact.JMAPAddressBook attribute) is_subscribed (calendaring_jmap.objects.calendar.JMAPCalendar attribute) (calendaring_jmap.objects.contact.JMAPAddressBook attribute) is_visible (calendaring_jmap.objects.calendar.JMAPCalendar attribute) J JMAPAddressBook (class in calendaring_jmap.objects.contact) JMAPAttachment (class in calendaring_jmap.objects.attachment) JMAPAuthError JMAPBaseError JMAPCalendar (class in calendaring_jmap.objects.calendar) JMAPCalendarObject (class in calendaring_jmap.objects.calendar_object) JMAPCapabilityError JMAPClient (class in calendaring_jmap.client) JMAPContact (class in calendaring_jmap.objects.contact) JMAPError JMAPMethodError K kind (calendaring_jmap.objects.contact.JMAPContact attribute) L link_id (calendaring_jmap.objects.attachment.JMAPAttachment attribute) M module calendaring_jmap.async_client calendaring_jmap.client calendaring_jmap.error calendaring_jmap.objects.attachment calendaring_jmap.objects.busy_interval calendaring_jmap.objects.calendar calendaring_jmap.objects.calendar_object calendaring_jmap.objects.contact my_rights (calendaring_jmap.objects.calendar.JMAPCalendar attribute) (calendaring_jmap.objects.contact.JMAPAddressBook attribute) N name (calendaring_jmap.objects.calendar.JMAPCalendar attribute) (calendaring_jmap.objects.contact.JMAPAddressBook attribute) (calendaring_jmap.objects.contact.JMAPContact attribute) P parent (calendaring_jmap.objects.calendar_object.JMAPCalendarObject attribute) primary_email() (calendaring_jmap.objects.contact.JMAPContact method) R reason (calendaring_jmap.error.JMAPAuthError attribute) (calendaring_jmap.error.JMAPBaseError attribute) (calendaring_jmap.error.JMAPCapabilityError attribute) renew_push() (calendaring_jmap.async_client.AsyncJMAPClient method) (calendaring_jmap.client.JMAPClient method) RFC RFC 5545 RFC 8620, [1], [2] RFC 8620 Section 2 RFC 8620 Section 3.6.2, [1], [2] RFC 8620 Section 6.1 RFC 8620 Section 6.2 RFC 8620 Section 7.2, [1] RFC 8620 Section 7.2.2, [1] RFC 8984 RFC 8984 Section 1.4.11, [1] RFC 8984 Section 4.2.7 RFC 8984 Section 4.4.6 RFC 8984 Section 4.5.2, [1] RFC 9553 RFC 9553 Section 1.5.3 RFC 9553 Section 2 RFC 9553 Section 2.1.4 RFC 9553 Section 2.1.9 RFC 9553 Section 2.2.1 RFC 9553 Section 2.2.1.1 RFC 9553 Section 2.3.1 RFC 9610, [1], [2] RFC 9610 Section 2, [1], [2] RFC 9610 Section 3 RFC 9670, [1], [2], [3] RFC 9670 Section 2 S save() (calendaring_jmap.objects.calendar_object.JMAPCalendarObject method) search() (calendaring_jmap.objects.calendar.JMAPCalendar method) search_contacts() (calendaring_jmap.async_client.AsyncJMAPClient method) (calendaring_jmap.client.JMAPClient method) search_events() (calendaring_jmap.async_client.AsyncJMAPClient method) (calendaring_jmap.client.JMAPClient method) send_invite() (calendaring_jmap.async_client.AsyncJMAPClient method) (calendaring_jmap.client.JMAPClient method) set_default_alerts() (calendaring_jmap.async_client.AsyncJMAPClient method) (calendaring_jmap.client.JMAPClient method) share_calendar() (calendaring_jmap.async_client.AsyncJMAPClient method) (calendaring_jmap.client.JMAPClient method) share_with (calendaring_jmap.objects.calendar.JMAPCalendar attribute) (calendaring_jmap.objects.contact.JMAPAddressBook attribute) size (calendaring_jmap.objects.attachment.JMAPAttachment attribute) sort_order (calendaring_jmap.objects.calendar.JMAPCalendar attribute) (calendaring_jmap.objects.contact.JMAPAddressBook attribute) start (calendaring_jmap.objects.busy_interval.BusyInterval attribute) subscribe_push() (calendaring_jmap.async_client.AsyncJMAPClient method) (calendaring_jmap.client.JMAPClient method) T tentatively_accept() (calendaring_jmap.async_client.AsyncJMAPClient method) (calendaring_jmap.client.JMAPClient method) time_zone (calendaring_jmap.objects.calendar.JMAPCalendar attribute) title (calendaring_jmap.objects.attachment.JMAPAttachment attribute) to_jmap() (calendaring_jmap.objects.calendar.JMAPCalendar method) U uid (calendaring_jmap.objects.contact.JMAPContact attribute) unsubscribe_push() (calendaring_jmap.async_client.AsyncJMAPClient method) (calendaring_jmap.client.JMAPClient method) update_calendar() (calendaring_jmap.async_client.AsyncJMAPClient method) (calendaring_jmap.client.JMAPClient method) update_event() (calendaring_jmap.async_client.AsyncJMAPClient method) (calendaring_jmap.client.JMAPClient method) update_task() (calendaring_jmap.async_client.AsyncJMAPClient method) (calendaring_jmap.client.JMAPClient method) upload_attachment() (calendaring_jmap.async_client.AsyncJMAPClient method) (calendaring_jmap.client.JMAPClient method) url (calendaring_jmap.error.JMAPBaseError attribute)